<?php

namespace Laravel\Nova\Http\Controllers;

use Illuminate\Routing\Controller;
use Laravel\Nova\Http\Requests\NovaRequest;
use Laravel\Nova\Nova;

class StyleController extends Controller
{
    /**
     * Serve the requested stylesheet.
     *
     * @param  \Laravel\Nova\Http\Requests\NovaRequest  $request
     * @return \Laravel\Nova\Style
     *
     * @throws \Symfony\Component\HttpKernel\Exception\NotFoundHttpException
     */
    public function __invoke(NovaRequest $request)
    {
        $asset = collect(Nova::allStyles())
                    ->filter(function ($asset) use ($request) {
                        return $asset->name() === $request->style;
                    })->first();

        abort_if(is_null($asset), 404);

        return $asset;
    }
}
